org.eclipse.microprofile.context.tck.cdi

## Class JTACDITest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.context.tck.cdi.JTACDITest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class JTACDITest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

Fields
`static int` `UNSUPPORTED`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`JTACDITest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `afterMethod(Method m, org.testng.ITestResult result)`
`void` `beforeMethod(Method m)`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testAsyncTransaction()`
`void` `testConcurrentTransactionPropagation()`
`void` `testRunWithTxnOfExecutingThread()`
`void` `testTransaction()`
`void` `testTransactionPropagation()`
`void` `testTransactionWithUT()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNSUPPORTED

    public static final int UNSUPPORTED

See Also:
  Constant Field Values

### Constructor Detail

#### JTACDITest

    public JTACDITest()

### Method Detail

#### afterMethod

    @AfterMethod
    public void afterMethod(Method m,
                                         org.testng.ITestResult result)

#### beforeMethod

    @BeforeMethod
    public void beforeMethod(Method m)

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testTransaction

    public void testTransaction()
                         throws Exception

Throws:
  `Exception`

#### testAsyncTransaction

    public void testAsyncTransaction()

#### testTransactionPropagation

    public void testTransactionPropagation()
                                    throws Exception

Throws:
  `Exception`

#### testConcurrentTransactionPropagation

    public void testConcurrentTransactionPropagation()

#### testRunWithTxnOfExecutingThread

    public void testRunWithTxnOfExecutingThread()
                                         throws jakarta.transaction.SystemException,
                                                jakarta.transaction.NotSupportedException

Throws:
  `jakarta.transaction.SystemException`
  `jakarta.transaction.NotSupportedException`

#### testTransactionWithUT

    public void testTransactionWithUT()
                               throws Exception

Throws:
  `Exception`